import request from '@/utils/request'

export function getMemberCardPage(params) {
    return request({
        url: '/admin/memberCard/page',
        method: 'get',
        params
    })
}

export function getMemberCardList(params) {
    return request({
        url: '/admin/memberCard/list',
        method: 'get',
        params
    })
}

export function getMemberCardSearchList(params) {
  return request({
    url: '/admin/memberCard/searchList',
    method: 'get',
    params
  })
}

export function addMemberCard(data) {
    return request({
        url: '/admin/memberCard/add',
        method: 'post',
        data: data
    })
}

export function editMemberCard(data) {
    return request({
        url: '/admin/memberCard/update',
        method: 'post',
        data: data
    })
}

export function deleteMemberCard(memberCardId) {
    return request({
        url: '/admin/memberCard/delete/' + memberCardId,
        method: 'get'
    })
}

